From 1153930536abe9f0331acef67dc40b18210eb07e Mon Sep 17 00:00:00 2001
From: Thomas Fischer <fischer@unix-ag.uni-kl.de>
Date: Sat, 1 Oct 2022 23:15:52 +0200
Subject: [PATCH] Fix creation of URL from user input

... when opening a document associated with a bibliographic entry.

BUG: 459150
---
 src/parts/part.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/parts/part.cpp b/src/parts/part.cpp
index 5324647f..9dc35d1c 100644
--- a/src/parts/part.cpp
+++ b/src/parts/part.cpp
@@ -914,7 +914,7 @@ void KBibTeXPart::elementViewDocumentMenu(QObject *obj)
     QString text = static_cast<QAction *>(obj)->data().toString(); ///< only a QAction will be passed along
 
     /// Guess mime type for url to open
-    QUrl url(text);
+    QUrl url{QUrl::fromUserInput(text)};
     QMimeType mimeType = FileInfo::mimeTypeForUrl(url);
     const QString mimeTypeName = mimeType.name();
     /// Ask KDE subsystem to open url in viewer matching mime type
-- 
GitLab

